Loading...
Searching...
No Matches
compositebasis.hh File Reference
`#include <tuple>`
`#include <utility>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/reservedvector.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/common/tupleutility.hh>`
`#include <dune/common/tuplevector.hh>`
`#include <dune/functions/common/staticforloop.hh>`
`#include <dune/functions/common/type_traits.hh>`
`#include <dune/functions/common/utility.hh>`
`#include <dune/functions/functionspacebases/basistags.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/concepts.hh>`
`#include <dune/functions/functionspacebases/containerdescriptors.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::CompositePreBasis< IMS, SPB >
| A pre-basis for composite bases. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Functions

template<typename... Args, std::enable_if_t< Concept::isIndexMergingStrategy< typename LastType< Args... >::type >(), int > = 0>
auto | Dune::Functions::BasisFactory::composite (Args &&... args)
| Create a factory builder that can build a CompositePreBasis.
template<typename... Args, std::enable_if_t< not Concept::isIndexMergingStrategy< typename LastType< Args... >::type >(), int > = 0>
auto | Dune::Functions::BasisFactory::composite (Args &&... args)
| Create a factory builder that can build a CompositePreBasis.